import java.io.File;
import java.util.ArrayList;
import java.util.List;

/**
 * Первый пример использования класса File
 *
 * */
public class Main {
    public static void main(String[] args) {
        /*Провераяем, что мы передали папку программе*/
        if (args.length == 0) {
            System.out.println("Введите путь до папки");
            return;
        }

        String pathName = args[0];

        /*Конструируем объект File*/
        File root = new File(pathName);

        /*Проверяем, что ме передали существующую папку*/
        if (!root.exists()) {
            System.out.println("Заданная папка не существует");
            return;
        }

        /*Здесь мы будем хранить все файлы в нашей папке*/
        List<File> files = new ArrayList<>();

        /*Здесь мы будем хранить все подпапки в нашей папке*/
        List<File> directories = new ArrayList<>();

        /*Обойдем все объекты в нашей папке*/
        for (File object : root.listFiles()) {
            if (object.isDirectory()) {
                /*Если объект - папка, то добавим в лист directories*/
                directories.add(object);
            } else {
                /*Иначе добавим в лист files*/
                files.add(object);
            }
        }

        /*Выводим список подпапок*/
        System.out.println("Список подпапок в папке \"" + pathName + "\"");
        for (File directory : directories) {
            System.out.println(directory.getName());
        }

        /*Выводим список файлов*/
        System.out.println("\nСписок файлов в папке \"" + pathName + "\"");
        for (File file : files) {
            System.out.println(file.getName());
        }
    }
}
